Skip to content

Get the default access authorization policy for the application

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the default access authorization strategy for the application

Method name

ManagementClient.getApplicationPermissionStrategy

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getApplicationPermissionStrategy({
    appId: "6229ffaxxxxxxxxcade3e3d9",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: GetApplicationPermissionStrategyRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetApplicationPermissionStrategyDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "permissionStrategy": "ALLOW_ALL"
  }
}

Data structure

GetApplicationPermissionStrategyDataDto

NameTypeIs it requiredDescriptionSample value
permissionStrategystringyesApplication access authorization strategyALLOW_ALL

Agent infrastructure for identity, memory, and web action.